#ifndef PLAYLISTMANAGER_H
#define PLAYLISTMANAGER_H

#define PAS 10

class CachedTag
{
private:
	bool read;
	int duration;
	int genre;
	CString artist;
	CString album;
	CString comment;
	CString playlist;
	CString title;
	CString year;
public:
	CachedTag();
	~CachedTag();
	CachedTag(CString nPlaylist);
	CachedTag(const CachedTag& copie);
	void copy(CachedTag copy);
	CString GetAlbum();
	CString GetArtist();
	CString GetComment();
	CString GetDuration();
	int GetDurationI();
	CString GetFilename();
	CString GetGenre();
	int GetGenreI();
	CString GetPlaylist();
	bool GetRead();
	CString GetTag(int ShowingMode = 0);
	CString GetTitle();
	CString GetYear();
	void ReadTag(bool forceRead = false);
	void SetAlbum(CString nAlbum);
	void SetArtist(CString nArtist);
	void SetComment(CString nComment);
	void SetDuration(int nDuration);
	void SetGenreI(int nGenre);
	void SetPlaylist(CString nPlaylist);
	void SetTitle(CString nTitle);
	void SetYear(CString nYear);
};

class PlaylistManager
{
private:
	CachedTag** CachedTags;
	int taille;
	int maxSize;
	int ShowingMode;
public:
	PlaylistManager();
	~PlaylistManager();
	void Add(CString tag, int index = -1);
	void Add(CachedTag tag, int index = -1);
	CachedTag Get(int index);
	int GetIndex(CString filename);
	CString GetAlbum(int index);
	CString GetArtist(int index);
	CString GetComment(int index);
	CString GetDuration(int index);
	int GetDurationI(int index);
	CString GetFilename(int index);
	CString GetGenre(int index);
	int GetGenreI(int index);
	CString GetPlaylist(int index);
	bool GetRead(int index);
	int GetShowingMode();
	int GetSize();
	CString GetTag(int index);
	CString GetTitle(int index);
	CString GetYear(int index);
	void InsertAt(CachedTag tag, int index);
	void PerformAutomation();
	void ReadAllTags();
	void ReadTagAT(int index, bool forceRead = false);
	void RemoveAll();
	void RemoveAt(int index);
	void SetShowingMode(int nShowingMode);
	bool StopPerformAutomation();
	bool StopReadAll();
};
#endif
